<ListView [items]="pricesViewModel">
    <ng-template let-item="item">
        <StackLayout>
            <ScrollView height="75">
                <StackLayout *ngIf="item !== null || item !== undefined">
                    <GridLayout rows="auto, auto, auto" columns="110, auto">
                        <Label text="Price:" row="0" col="0" class="label"></Label>
                        <Label [text]="item.priceString" row="0" col="1"></Label>
                        <Label text="Store:" row="1" col="0" class="label"></Label>
                        <Label [text]="item.storeName" row="1" col="1"></Label>
                        <Label text="Date of Price:" row="2" col="0" class="label"></Label>
                        <Label [text]="item.dateString" row="2" col="1"></Label>
                    </GridLayout>
                </StackLayout>
            </ScrollView>
        </StackLayout>
    </ng-template>
</ListView>
